{% extends "besoins/base.html" %}
{% load client_utils %}

{% block title %}Accueil analyse des besoins{% endblock %}
{% block bodyclass %}page-home{% endblock %}

{% block content %}
<h1 class="mb-5 text-center fw-bold">Analyse des besoins</h1>

<div class="row">
    <div class="col col-md-4 text-center">
      <div>
        <a href="{% url 'besoins:clients' %}" class="link-light">
        <div class="card h-100 text-white">
          <div class="card-body d-flex flex-column align-items-center justify-content-center">
            <h3 class="card-title">Clients</h5>
            <p class="card-text text-center">Clients MAD</p>
          </div>
        </div>
        </a>
      </div>
      <div class="mt-5">
        <a href="{% url 'besoins:stats-besoins' %}" class="link-light">
        <div class="card h-100 text-white">
          <div class="card-body card-smaller d-flex flex-column align-items-center justify-content-center">
            <h3 class="card-title">Statistiques</h5>
            <p class="card-text text-center"></p>
          </div>
        </div>
        </a>
      </div>
    </div>

    <div class="col col-md-8">
        {% if en_cours %}
        <h2>Questionnaires en cours</h2>
        <table class="table table-striped">
            <thead class="table-dark">
                <tr><th></th><th>Âge</th><th>Services</th><th>Questionnaire</th></tr>
            </thead>
            <tbody>
            {% for quest in en_cours %}
            <tr>
                {% client_details_url quest.client as details_url %}
                <td>{% if details_url %}<a href="{{ details_url }}">{% endif %}{{ quest.client.nom_prenom }}{% if details_url %}</a>{% endif %}</td>
                <td>{{ quest.client.age }}</td>
                <td>{% services_as_icons quest.client %}</td>
                <td>
                    <i>Par {{ quest.collab }}</i>,
                    <a href="{% url 'besoins:questionnaire' quest.client.pk quest.pk 'environnement' %}">continuer…</a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% endif %}

        <h2>Prochains clients à questionner (<span class="list-count">{{ quests_restant }}</span>)</h2>
        <form class="immediate_submit table-filter unmonitor" method="get">
        <table class="table table-striped">
            <thead class="table-dark">
                <tr><th></th><th>Âge</th><th>Région</th><th>Services</th><th>Date dernier quest.</th><th></th></tr>
                <tr class="filters">
                <td></td><td></td><td>{{ form.region }}</td><td>{{ form.service }}</td><td></td><td></td>
                </tr>
            </thead>
            <tbody id="filter_container">
            {% for client in object_list %}
            <tr>
                {% client_details_url client as details_url %}
                <td>{% if details_url %}<a href="{{ details_url }}">{% endif %}{{ client.nom_prenom }}{% if details_url %}</a>{% endif %}</td>
                <td>{{ client.age }}</td>
                <td>{{ client.npa|region }}</td>
                <td>{% services_as_icons client %}</td>
                <td>{{ client.last_quest|default_if_none:"Jamais" }}</td>
                <td><a href="{% url 'besoins:q-intro' client.pk %}">Démarrer</a></td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        </form>

        {% include 'pagination.html' %}
    </div>
</div>
{% endblock %}

